---
apiVersion: snapshot.kubevirt.io/v1beta1
items:
- apiVersion: snapshot.kubevirt.io/v1beta1
  kind: VirtualMachineSnapshotContent
  metadata:
    creationTimestamp: "2025-10-29T12:43:42Z"
    finalizers:
    - snapshot.kubevirt.io/vmsnapshotcontent-protection
    generation: 1
    managedFields:
    - apiVersion: snapshot.kubevirt.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:finalizers:
            .: {}
            v:"snapshot.kubevirt.io/vmsnapshotcontent-protection": {}
        f:spec:
          .: {}
          f:source:
            .: {}
            f:virtualMachine:
              .: {}
              f:metadata:
                .: {}
                f:annotations:
                  .: {}
                  f:kubemacpool.io/transaction-timestamp: {}
                  f:kubevirt.io/latest-observed-api-version: {}
                  f:kubevirt.io/storage-observed-api-version: {}
                f:creationTimestamp: {}
                f:finalizers: {}
                f:generation: {}
                f:name: {}
                f:namespace: {}
                f:resourceVersion: {}
                f:uid: {}
              f:spec:
                .: {}
                f:dataVolumeTemplates: {}
                f:runStrategy: {}
                f:template:
                  .: {}
                  f:metadata:
                    .: {}
                    f:creationTimestamp: {}
                    f:labels:
                      .: {}
                      f:debugLogs: {}
                      f:kubevirt.io/domain: {}
                      f:kubevirt.io/vm: {}
                  f:spec:
                    .: {}
                    f:architecture: {}
                    f:domain:
                      .: {}
                      f:cpu:
                        .: {}
                        f:model: {}
                      f:devices:
                        .: {}
                        f:disks: {}
                        f:rng: {}
                      f:firmware:
                        .: {}
                        f:serial: {}
                      f:machine:
                        .: {}
                        f:type: {}
                      f:memory:
                        .: {}
                        f:guest: {}
                      f:resources: {}
                    f:volumes: {}
              f:status:
                .: {}
                f:printableStatus: {}
          f:virtualMachineSnapshotName: {}
          f:volumeBackups: {}
      manager: virt-controller
      operation: Update
      time: "2025-10-29T12:43:42Z"
    - apiVersion: snapshot.kubevirt.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          .: {}
          f:creationTime: {}
          f:readyToUse: {}
          f:volumeSnapshotStatus: {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: "2025-10-29T12:43:43Z"
    name: vmsnapshot-content-14208742-0d66-4c37-860b-fb4fb00c26df
    namespace: test-upgrade-namespace
    resourceVersion: "2192487"
    uid: 0b4c2778-58eb-417b-9720-7ee2058f42d8
  spec:
    source:
      virtualMachine:
        metadata:
          annotations:
            kubemacpool.io/transaction-timestamp: "2025-10-29T12:43:34.578060319Z"
            kubevirt.io/latest-observed-api-version: v1
            kubevirt.io/storage-observed-api-version: v1
          creationTimestamp: "2025-10-29T12:41:32Z"
          finalizers:
          - kubevirt.io/virtualMachineControllerFinalize
          - snapshot.kubevirt.io/snapshot-source-protection
          generation: 2
          name: vm-snapshot-upgrade-b-1761741691-9920404
          namespace: test-upgrade-namespace
          resourceVersion: "2192435"
          uid: 49415a63-0b50-4f3b-8ce7-3c00a9c9a13c
        spec:
          dataVolumeTemplates:
          - metadata:
              creationTimestamp: null
              name: dv-snapshot-upgrade-b
              namespace: test-upgrade-namespace
            spec:
              contentType: kubevirt
              source:
                http:
                  certConfigMap: artifactory-configmap
                  secretRef: cnv-tests-artifactory-secret
                  url: https://cnv-qe-artifactory.apps.cnv2.engineering.redhat.com/artifactory/cnv-qe-server-local/cnv-tests/cirros-images/cirros-0.4.0-x86_64-disk.qcow2
              storage:
                resources:
                  requests:
                    storage: 1Gi
                storageClassName: ocs-storagecluster-ceph-rbd-virtualization
          runStrategy: Halted
          template:
            metadata:
              creationTimestamp: null
              labels:
                debugLogs: "true"
                kubevirt.io/domain: vm-snapshot-upgrade-b-1761741691-9920404
                kubevirt.io/vm: vm-snapshot-upgrade-b-1761741691-9920404
            spec:
              architecture: amd64
              domain:
                cpu:
                  model: Skylake-Client-v3
                devices:
                  disks:
                  - disk:
                      bus: virtio
                    name: dv-disk
                  rng: {}
                firmware:
                  serial: 167a29d5-d3b0-4daa-b08e-039ab14205bb
                machine:
                  type: pc-q35-rhel9.6.0
                memory:
                  guest: 64M
                resources: {}
              volumes:
              - dataVolume:
                  name: dv-snapshot-upgrade-b
                name: dv-disk
        status:
          printableStatus: Stopped
    virtualMachineSnapshotName: snapshot-vm-snapshot-upgrade-b-1761741691-9920404
    volumeBackups:
    - persistentVolumeClaim:
        metadata:
          annotations:
            cdi.kubevirt.io/allowClaimAdoption: "true"
            cdi.kubevirt.io/createdForDataVolume: 2c935ab9-9e43-4a3c-8932-aea043fffa82
            cdi.kubevirt.io/storage.condition.running: "false"
            cdi.kubevirt.io/storage.condition.running.message: Import Complete
            cdi.kubevirt.io/storage.condition.running.reason: Completed
            cdi.kubevirt.io/storage.contentType: kubevirt
            cdi.kubevirt.io/storage.pod.phase: Succeeded
            cdi.kubevirt.io/storage.pod.restarts: "0"
            cdi.kubevirt.io/storage.populator.progress: 100.0%
            cdi.kubevirt.io/storage.preallocation.requested: "false"
            cdi.kubevirt.io/storage.usePopulator: "true"
            pv.kubernetes.io/bind-completed: "yes"
            pv.kubernetes.io/bound-by-controller: "yes"
            reclaimspace.csiaddons.openshift.io/cronjob: dv-snapshot-upgrade-b-1761741733
            reclaimspace.csiaddons.openshift.io/schedule: '@weekly'
            volume.beta.kubernetes.io/storage-provisioner: openshift-storage.rbd.csi.ceph.com
            volume.kubernetes.io/storage-provisioner: openshift-storage.rbd.csi.ceph.com
          creationTimestamp: "2025-10-29T12:41:32Z"
          finalizers:
          - kubernetes.io/pvc-protection
          labels:
            app: containerized-data-importer
            app.kubernetes.io/component: storage
            app.kubernetes.io/managed-by: cdi-controller
            app.kubernetes.io/part-of: hyperconverged-cluster
            app.kubernetes.io/version: 4.19.11
            kubevirt.io/created-by: 49415a63-0b50-4f3b-8ce7-3c00a9c9a13c
          name: dv-snapshot-upgrade-b
          namespace: test-upgrade-namespace
          ownerReferences:
          - apiVersion: cdi.kubevirt.io/v1beta1
            blockOwnerDeletion: true
            controller: true
            kind: DataVolume
            name: dv-snapshot-upgrade-b
            uid: 2c935ab9-9e43-4a3c-8932-aea043fffa82
          resourceVersion: "2191216"
          uid: a485787f-46b4-4016-8b08-5f64d67129c2
        spec:
          accessModes:
          - ReadWriteMany
          dataSource:
            apiGroup: cdi.kubevirt.io
            kind: VolumeImportSource
            name: volume-import-source-2c935ab9-9e43-4a3c-8932-aea043fffa82
          dataSourceRef:
            apiGroup: cdi.kubevirt.io
            kind: VolumeImportSource
            name: volume-import-source-2c935ab9-9e43-4a3c-8932-aea043fffa82
          resources:
            requests:
              storage: "1073741824"
          storageClassName: ocs-storagecluster-ceph-rbd-virtualization
          volumeMode: Block
          volumeName: pvc-b3688608-a67a-4093-8011-6f354b3e6f7f
      volumeName: dv-disk
      volumeSnapshotName: vmsnapshot-14208742-0d66-4c37-860b-fb4fb00c26df-volume-dv-disk
  status:
    creationTime: "2025-10-29T12:43:43Z"
    readyToUse: true
    volumeSnapshotStatus:
    - creationTime: "2025-10-29T12:43:42Z"
      readyToUse: true
      volumeSnapshotName: vmsnapshot-14208742-0d66-4c37-860b-fb4fb00c26df-volume-dv-disk
- apiVersion: snapshot.kubevirt.io/v1beta1
  kind: VirtualMachineSnapshotContent
  metadata:
    creationTimestamp: "2025-10-29T12:47:16Z"
    finalizers:
    - snapshot.kubevirt.io/vmsnapshotcontent-protection
    generation: 1
    managedFields:
    - apiVersion: snapshot.kubevirt.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:finalizers:
            .: {}
            v:"snapshot.kubevirt.io/vmsnapshotcontent-protection": {}
        f:spec:
          .: {}
          f:source:
            .: {}
            f:virtualMachine:
              .: {}
              f:metadata:
                .: {}
                f:annotations:
                  .: {}
                  f:kubemacpool.io/transaction-timestamp: {}
                  f:kubevirt.io/latest-observed-api-version: {}
                  f:kubevirt.io/storage-observed-api-version: {}
                f:creationTimestamp: {}
                f:finalizers: {}
                f:generation: {}
                f:name: {}
                f:namespace: {}
                f:resourceVersion: {}
                f:uid: {}
              f:spec:
                .: {}
                f:dataVolumeTemplates: {}
                f:runStrategy: {}
                f:template:
                  .: {}
                  f:metadata:
                    .: {}
                    f:creationTimestamp: {}
                    f:labels:
                      .: {}
                      f:debugLogs: {}
                      f:kubevirt.io/domain: {}
                      f:kubevirt.io/vm: {}
                  f:spec:
                    .: {}
                    f:architecture: {}
                    f:domain:
                      .: {}
                      f:cpu:
                        .: {}
                        f:model: {}
                      f:devices:
                        .: {}
                        f:disks: {}
                        f:rng: {}
                      f:firmware:
                        .: {}
                        f:serial: {}
                      f:machine:
                        .: {}
                        f:type: {}
                      f:memory:
                        .: {}
                        f:guest: {}
                      f:resources: {}
                    f:volumes: {}
              f:status:
                .: {}
                f:printableStatus: {}
          f:virtualMachineSnapshotName: {}
          f:volumeBackups: {}
      manager: virt-controller
      operation: Update
      time: "2025-10-29T12:47:16Z"
    - apiVersion: snapshot.kubevirt.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          .: {}
          f:creationTime: {}
          f:readyToUse: {}
          f:volumeSnapshotStatus: {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: "2025-10-29T12:47:18Z"
    name: vmsnapshot-content-82839d1a-46b4-4d63-a934-8b8d587edd6c
    namespace: test-upgrade-namespace
    resourceVersion: "2195701"
    uid: ea08cfa5-aa46-4186-9c9f-1cc35c63707f
  spec:
    source:
      virtualMachine:
        metadata:
          annotations:
            kubemacpool.io/transaction-timestamp: "2025-10-29T12:47:09.395087215Z"
            kubevirt.io/latest-observed-api-version: v1
            kubevirt.io/storage-observed-api-version: v1
          creationTimestamp: "2025-10-29T12:44:58Z"
          finalizers:
          - kubevirt.io/virtualMachineControllerFinalize
          - snapshot.kubevirt.io/snapshot-source-protection
          generation: 2
          name: vm-snapshot-upgrade-a-1761741897-5416875
          namespace: test-upgrade-namespace
          resourceVersion: "2195664"
          uid: bd518a58-34f3-4128-84ed-f207d84a6eb9
        spec:
          dataVolumeTemplates:
          - metadata:
              creationTimestamp: null
              name: dv-snapshot-upgrade-a
              namespace: test-upgrade-namespace
            spec:
              contentType: kubevirt
              source:
                http:
                  certConfigMap: artifactory-configmap
                  secretRef: cnv-tests-artifactory-secret
                  url: https://cnv-qe-artifactory.apps.cnv2.engineering.redhat.com/artifactory/cnv-qe-server-local/cnv-tests/cirros-images/cirros-0.4.0-x86_64-disk.qcow2
              storage:
                resources:
                  requests:
                    storage: 1Gi
                storageClassName: ocs-storagecluster-ceph-rbd-virtualization
          runStrategy: Halted
          template:
            metadata:
              creationTimestamp: null
              labels:
                debugLogs: "true"
                kubevirt.io/domain: vm-snapshot-upgrade-a-1761741897-5416875
                kubevirt.io/vm: vm-snapshot-upgrade-a-1761741897-5416875
            spec:
              architecture: amd64
              domain:
                cpu:
                  model: Skylake-Client-v3
                devices:
                  disks:
                  - disk:
                      bus: virtio
                    name: dv-disk
                  rng: {}
                firmware:
                  serial: 06d012f4-df88-4c6b-ba71-e105a87763e5
                machine:
                  type: pc-q35-rhel9.6.0
                memory:
                  guest: 64M
                resources: {}
              volumes:
              - dataVolume:
                  name: dv-snapshot-upgrade-a
                name: dv-disk
        status:
          printableStatus: Stopped
    virtualMachineSnapshotName: snapshot-vm-snapshot-upgrade-a-1761741897-5416875
    volumeBackups:
    - persistentVolumeClaim:
        metadata:
          annotations:
            cdi.kubevirt.io/allowClaimAdoption: "true"
            cdi.kubevirt.io/createdForDataVolume: 08314587-1419-422d-979c-ac0134f47063
            cdi.kubevirt.io/storage.condition.running: "false"
            cdi.kubevirt.io/storage.condition.running.message: Import Complete
            cdi.kubevirt.io/storage.condition.running.reason: Completed
            cdi.kubevirt.io/storage.contentType: kubevirt
            cdi.kubevirt.io/storage.pod.phase: Succeeded
            cdi.kubevirt.io/storage.pod.restarts: "0"
            cdi.kubevirt.io/storage.populator.progress: 100.0%
            cdi.kubevirt.io/storage.preallocation.requested: "false"
            cdi.kubevirt.io/storage.usePopulator: "true"
            pv.kubernetes.io/bind-completed: "yes"
            pv.kubernetes.io/bound-by-controller: "yes"
            reclaimspace.csiaddons.openshift.io/cronjob: dv-snapshot-upgrade-a-1761741980
            reclaimspace.csiaddons.openshift.io/schedule: '@weekly'
            volume.beta.kubernetes.io/storage-provisioner: openshift-storage.rbd.csi.ceph.com
            volume.kubernetes.io/storage-provisioner: openshift-storage.rbd.csi.ceph.com
          creationTimestamp: "2025-10-29T12:44:58Z"
          finalizers:
          - kubernetes.io/pvc-protection
          labels:
            app: containerized-data-importer
            app.kubernetes.io/component: storage
            app.kubernetes.io/managed-by: cdi-controller
            app.kubernetes.io/part-of: hyperconverged-cluster
            app.kubernetes.io/version: 4.19.11
            kubevirt.io/created-by: bd518a58-34f3-4128-84ed-f207d84a6eb9
          name: dv-snapshot-upgrade-a
          namespace: test-upgrade-namespace
          ownerReferences:
          - apiVersion: cdi.kubevirt.io/v1beta1
            blockOwnerDeletion: true
            controller: true
            kind: DataVolume
            name: dv-snapshot-upgrade-a
            uid: 08314587-1419-422d-979c-ac0134f47063
          resourceVersion: "2194906"
          uid: 79c90f61-a294-4dd2-a6dd-316d1c9f1458
        spec:
          accessModes:
          - ReadWriteMany
          dataSource:
            apiGroup: cdi.kubevirt.io
            kind: VolumeImportSource
            name: volume-import-source-08314587-1419-422d-979c-ac0134f47063
          dataSourceRef:
            apiGroup: cdi.kubevirt.io
            kind: VolumeImportSource
            name: volume-import-source-08314587-1419-422d-979c-ac0134f47063
          resources:
            requests:
              storage: "1073741824"
          storageClassName: ocs-storagecluster-ceph-rbd-virtualization
          volumeMode: Block
          volumeName: pvc-2c3072c9-caf4-4d62-985d-238ed5be944b
      volumeName: dv-disk
      volumeSnapshotName: vmsnapshot-82839d1a-46b4-4d63-a934-8b8d587edd6c-volume-dv-disk
  status:
    creationTime: "2025-10-29T12:47:18Z"
    readyToUse: true
    volumeSnapshotStatus:
    - creationTime: "2025-10-29T12:47:17Z"
      readyToUse: true
      volumeSnapshotName: vmsnapshot-82839d1a-46b4-4d63-a934-8b8d587edd6c-volume-dv-disk
kind: VirtualMachineSnapshotContentList
metadata:
  continue: ""
  resourceVersion: "2239321"
